#ifndef __TYPE_H

#define __TYPE_H
#define uint32_t unsigned int
#define int16_t short
#define uint16_t unsigned short
#define int8_t char
#define uint8_t unsigned char 
#define uint64_t unsigned long long
#define L2CAP_PSM 1

#define btohl(x) ntohl(x)
#define btohs(x) ntohs(x)

//Fonction bt_get_unaligned tire de bluez

//   91 #define bt_get_unaligned(ptr)			\
//   92 ({						\
//   93 	struct __attribute__((packed)) {	\
//   94 		typeof(*(ptr)) __v;		\
//   95 	} *__p = (void *) (ptr);		\
//   96 	__p->__v;				\
//   97 })
//   98 

uint16_t bt_get_unaligned_16(uint16_t* ptr);

uint32_t bt_get_unaligned_32(uint32_t* ptr);

uint64_t bt_get_unaligned_64(uint64_t* ptr);

#endif /*__TYPE_H*/